From nabijaczleweli@nabijaczleweli.xyz Thu Sep 12 20:01:07 2024
Date: Thu, 12 Sep 2024 20:01:07 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ossp@lists.sr.ht
Subject: ossp-uuid 1.6.3 released
Message-ID: <shcfm3rbzo6w7bcfngph7acwg2oroglnvdislcavyavkiuni63@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="qaalkskjchb74byz"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--qaalkskjchb74byz
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

This is the first thawed release as part of the new upstream,
and archive (and continued development) of http://www.ossp.org software.
Please see
  https://sr.ht/~nabijaczleweli/ossp
to learn more.

Old ossp-uuid tarballs are retained at
  https://lfs.nabijaczleweli.xyz/0022-OSSP.org-mirror/ftp.ossp.org/ossp-ftp=
/pkg/lib/uuid
the new release tarball (and signature, same as this mail) can be obtained =
=66rom
  https://git.sr.ht/~nabijaczleweli/ossp-uuid/refs/UUID_1_6_3
The manual is available on-line and at
  https://srhtcdn.githack.com/~nabijaczleweli/ossp-uuid/blob/man/ossp-uuid.=
pdf

As standard fare, the detailed changelog and NEWS
are now maintained as part of the tags and these release mails
(the old files have been inlined as appropriate).

This release:
 1. removes the PostgreSQL bindings (which targeted postgres 8 and didn't w=
ork);
    they have been long since embedded into postgres per se; cf.
    https://lists.sr.ht/~nabijaczleweli/ossp/%3Cgvagy3mvqfhjmmxsequjbsky4xb=
o4dzwyovzazpozbsdkn5g7r@tarta.nabijaczleweli.xyz%3E
 2. removes the PHP bindings (which targeted PHP 4 and PHP 5);
    they are utterly meaningless in a PHP-8-minimum world
 3. deprecates the C++ bindings
 4. adds symbol versioning (all old users remain compatible)
    and limits the exported symbols to just the intended-to-be-public ones
 5. adds support for version 6 and 7 UUIDs
    (uuid_make(UUID_MAKE_V[67]), uuid -v[67], $uuid->make("v[67]"))=20
 6. adds the "max" (all-bits-set) UUID to the uuid_load() catalogue
 7. adds uuid_ismax() ($uuid->ismax()) @OSSP_UUID_1.6.3
 8. optimises libuuid.so such that it loads the MAC address once in a const=
ructor,
    each uuid_create() is one malloc(), and /dev/[u]random is opened on fir=
st use,
    and only if on a system without getentropy()
    (previously, that happened on every uuid_create(),
     uuid_t* contained multiple nested allocations,
     and each uuid_t* eagerly opened /dev/[u]random)
 9. uses the full range of timespec_get() (1ns) instead of gettimeofday(1=
=CE=BCs),
    and thus removes the internal per-UUID "same time" counter
    (if we do get the same time at this resolution we just yield);
    this also fixed a Y2038 bug
10. supports Linux/the illumos gate/{Free,Net,Open}BSD/the Macintosh
    for MAC address autodetection, with multicast addressed filtered away,
    and uses the first IFA_UP+IFA_BROADCAST interface on the former two
11. supports the --with-libname=3D autoconf option,
    downstreams may want to configure --with-libname=3Dlibossp-uuid and kil=
l patches
12. uses libmd (SHA1Final-style functions)
    instead of embedded SHA1 and MD5 andimplementations

This release is believed to fix every outstanding issue
(reported to upstream/Debian/Fedora/Gentoo (the latter two had none)),
and to incorporate or supersede every downstream patch.

The following issues are known to affect this release:
On FreeBSD 14.1 with perl 5.36.3, the Perl plugin is unusable,
and crashes in compiler code in __stack_chk_fail().
(https://todo.sr.ht/~nabijaczleweli/ossp/120)
(https://todo.sr.ht/~nabijaczleweli/ossp/145)
(https://todo.sr.ht/~nabijaczleweli/ossp/208)
I don't know how to debug this, since it happens only on builds.sr.ht CI,
and I can hardly inject a sanitiser into a distribution Perl binary.
I can't reproduce it (or trigger any injectable sanitiser) on bookworm.

I don't really know what the top-level Makefile.PL file is for, either.
It's retained, and could easily be brought back to working, maybe.


  Bugs were mirrored from the original upstream's CVSTrac; numbers retained
    https://todo.sr.ht/~nabijaczleweli/ossp/
    http://cvs.ossp.org/tktview?tn=3D
  and these ones were fixed:
#31  [uuid 0.9.0] uuid(1) manpage lacks namespace enumeration
#81  [uuid 1.3.1] Compiliation Problems on Mac OS X 10.4
#146 [uuid 1.5.1] Can't install ossp-uuid-1.5.1
#150 [uuid 1.5.1] uuid_dce_to_string doesn't work
#160 [uuid]       ossp uuid 1.6.0 fails in 'make check' on OS X 10.4.10
#172 [uuid 1.6.2] uuid changes behaviour under Linux when the ethernet devi=
ce is'nt eth0
#177 [uuid 1.6.2] Makefile does not use LDFLAGS
#181 [uuid]       Please provide a namespaced header/pkg-config file
#183 [uuid 1.6.2] uuid.pc fails to install when building outside source tree
#185 [uuid 1.6.2] uuid_to_string (uuid_dce_to_string) does not work
#186 [uuid 1.6.2] 'make install' fails on OS X 10.6.7 from a sub build dire=
ctory
#187 [uuid 1.6.2] Unable to make install from build directory other than so=
urce director
#190 [uuid 1.6.2] v1 uuids not working on Linux or with MAC addrs with high=
-bit set
#193 [uuid 1.6.2] libossp-uuid should not use install -s; cross-compilation=
 issue
#196 [uuid 1.6.2] Unable to cross compile due to AC_TRY_RUN
#198 [uuid 1.6.2] Cannot cross compile for ARM architecture
#200 [uuid 1.6.2] uuid.pc.in does not use the right autoconf variables for =
paths
#205 [uuid 1.6.2] typo in uuid.so
#206 [uuid 1.6.2-1.5+b7] Data::UUID compat create_from_name() is broken
#207 [uuid 1.6.2] Build error with MinGW cross-compilation

Debian#757278     libossp-uuid-dev: arch-dependent file in "Multi-Arch: sam=
e" package
Debian#864530     uuid parsing accepts invalid UUIDs, with potential securi=
ty consequences
Debian#881000     uuid: -v1 always uses random MAC (tries "eth0", fallback =
is -m)=20
Debian#1041542    uuid: Memory unsafety for version 1 UUID with out-of-rang=
e timestamp

  For completeness, the following issues were triaged:
#44  [uuid 1.0.0] uuid-1.0.0 unable to be used with GCC option --enable-fat=
al-warnings
#50  [uuid 1.0.1] default installation breaks linux boot
#87  [uuid 1.3.2] Code does not compile because of missing struct definitio=
n.
#155 [uuid 1.60]  Fix for broken Perl test
#163 [uuid 1.6.0] pgsql unable to insert NULL into uuid colums as DEFAULT v=
alues
#169 [uuid 1.6.1] return representation too 'C' for string().
#182 [uuid]       UUID: Please Support Win64
#184 [uuid]       Broken links for Documentation on the page for "OSSP uuid"
#194 [1.6.2]      Errors while compiling: libuuid.a could not read symbols:=
 Bad value.
#199 [uuid 1.6.2] aggregate 'uuid_t uu' has incomplete type and cannot be d=
efined
#201 [uuid 1.6.2] export uuid
#202 [uuid 1.6.2] export uuid
#203 [uuid 1.6.2] Trouble configuring with clang++ on android platform, arc=
h-arm64
#204 [uuid 1.6.2] Unable to connect to ftp

  And the following are no longer relevant=20
  after emigrating PostgreSQL bindings and the death of the PHP ones:
#156 [uuid 1.60]  Also install documentation
#162 [uuid 1.6.0] ossp-uuid 1.6.0 w/ bindings for PostgreSQL 8.3beta2 fails=
 in 'make'
#164 [uuid 1.6.0] Header doesn't work if <unistd.h> is included first
#178 [1.6.2]      Problem compiling uuid-1.6.2

Debian#611489     Package is not usable anymore when using default PHP sett=
ings because of 'allow_call_time_pass_reference =3D Off'
Debian#625836     Enabling php5-uuid results in missing data and php fatal =
errors like "Cannot use object of type .."


-- >8 --                              NEWS                              -- =
>8 --
   _        ___  ____ ____  ____                _     _
  |_|_ _   / _ \/ ___/ ___||  _ \   _   _ _   _(_) __| |
  _|_||_| | | | \___ \___ \| |_) | | | | | | | | |/ _` |
 |_||_|_| | |_| |___) |__) |  __/  | |_| | |_| | | (_| |
  |_|_|_|  \___/|____/____/|_|      \__,_|\__,_|_|\__,_|

  OSSP uuid - Universally Unique Identifier

  NEWS

  This is a list of major changes to OSSP uuid. For more detailed
  change descriptions, please have a look at the ChangeLog file.

  Major changes between 1.4 and 1.5

    o Many internal code cleanups and fixes.
    o Improved and fixed PostgreSQL API.
    o Improved and fixed PHP API.

  Major changes between 1.3 and 1.4

    o Added PostgreSQL API.

  Major changes between 1.2 and 1.3

    o Added Perl TIE-style API.
    o Added Perl Data::UUID backward compatibility API.
    o Added C++ API.
    o Added PHP API.

  Major changes between 1.1 and 1.2

    o Added support for version 5 UUIDs (name-based, SHA-1)

  Major changes between 1.0 and 1.1

    o Added Perl API

  Major changes between 0.9 and 1.0

    o Initial functionality

--qaalkskjchb74byz
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmbjLGIACgkQvP0LAY0m
WPGY/A//cooIto/yiFSD1ZKD+34xXvqcEau+M4u3PFrM8SEhrTgYNU/QHKxyNUlg
YYGU8TawUfB+qJLXFKmOJsQaoQJRzkJ6eJucestDm64dsDmnYu+RZMl87MlH37lc
AHtgYu4lp5l+lU7CfBg8tNDGwp9WNIG/bUuzGPALUSS++SlfWkgJ+2+lTILFATHz
YmTu2krg87Elv1JfDtQWVBBz0YSsTb3uWVmZHtBxjsOawb0CeD6BqkfJmIzxnfI/
LjytEynFks5I6ai8fcEYq6ULmfKPDkKuU54Ak+sSGY/fnypJJ/i10+ULcHbuBfQf
PZR8WIbs/T+KzdlZhJNr7WOHFwb1gA1UvA1p3vQv+LZ+wVoabxJctUMm1O2Wjrt7
hRt7FeU5dI+exam9A8kdLeFlqTTD/STca1OMNxgffZJ2R9+6cm0gp03DuKjGpk3M
Wn4WCq8fLo3nbv2phfJ0L/NKjOgZBe5f5Cw9JBXs0VkV/AB9OkPjKAITjeVM+GRj
d2E12Bx9Todyq1l1uIJcojaQyiYPZ/kpM508x2IBhVXI6E5JzfWzXEM9CO94ajEc
T1S+Mca1TymoFnVycAnZfxfD4jW8af8bxY7zXZg+u/qtjicvJdA7ouXOZ+jrrtCP
UdQKu3uEOawq4rUotFElmM7/LJOl5lU2be6qnbzHw5e25fnH1xM=
=4t9U
-----END PGP SIGNATURE-----

--qaalkskjchb74byz--

From nabijaczleweli@nabijaczleweli.xyz Mon Dec  9 17:40:05 2024
Date: Mon, 9 Dec 2024 17:40:05 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ossp@lists.sr.ht
Subject: ossp-uuid 1.6.4 released
Message-ID: <zeg4zvh3jsgvjkyqcyxc4fi2cczmddkbu4mlxd5d4yzs74g6ru@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="qckgmqjropkaec6v"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--qckgmqjropkaec6v
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

The release tarball, detailed changelog, and signature can be obtained from
  https://git.sr.ht/~nabijaczleweli/ossp-uuid/refs/UUID_1_6_4
The manual is available on-line and at
  https://srhtcdn.githack.com/~nabijaczleweli/ossp-uuid/blob/man/ossp-uuid.pdf

This release fixes uuid(1)'s mischaracterisation of the UUID version 5
EXAMPLE as being version 4.
(Reported in https://bugs.debian.org/1089575.)

--qckgmqjropkaec6v
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmdXHWQACgkQvP0LAY0m
WPHB5w//XBZ3OY2qKre7n0fGQCenu+ErcRHM2Ow8VpPXOzOPx5U+u5uoQ+sK1F6e
2m5NQeZEtWkP34olgKDEHhkuk7PZo7ihOp1db+WY/37ZRKfA+L2yAK0Pr38+wWuT
cBn37MvnLm83mJiJn4fdMgkSsWbhj+mqlGl0wQGUit+B/ol2D/4WzJ2q3UKAViSn
4pGhqWODBpnIoF4bsyYDfhx464U8Jdm+B7Rh1Tru64jyNpF6qfbqZxvq/bnaBCGt
CBFqzr4k57igOoI4lD/KLnMDMJJJpztr1rJgCpmjGp5zeBSaE3cryNfU5m0onAOV
6oONh5xXpnykpYvnzjMF7qJW8oVDfa/jIfV4D+0l5s9YaNRNIG+RCmDfwnajcFnX
wiGJlyazozS8tZcIx7coX5XYsRcZPG+ao6lfVvGvBIWDtXDfcouaiFiG6vYgGxZN
5RK5QpS5Rpwls4CAsd1TPeDCPj2Xc8zHY6n8wfVWhC54Zh6Gn9xx4peGjjfcP3Ls
vG5rWpXle0esZEtBtBtRhoqKXp/MkpYuiH0HEFtDXb5TUBRYB5e+MDrBtURaAY3U
SBYboMij6seS6U3Ygq3vyjuBOWY4ix+Kd86R8VGAXjPydhC950CKh49uXrfBJztE
SZgZIDrMFb6FdC7Wiw18bO7+N6e6axsCmXXnwHKgmZGyadBH4A0=
=rWs4
-----END PGP SIGNATURE-----

--qckgmqjropkaec6v--

From nabijaczleweli@nabijaczleweli.xyz Tue Aug 26 14:17:00 2025
Date: Tue, 26 Aug 2025 14:17:00 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ossp@lists.sr.ht
Subject: ossp-uuid 1.6.5 released
Message-ID: <t6gnsr5xvwgrppsig56lkgv2tmqw7yzincqz4igjt6xtmqwmt7@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="xjln4giaxxhtevar"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--xjln4giaxxhtevar
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

The release tarball, detailed changelog, and signature can be obtained from
  https://git.sr.ht/~nabijaczleweli/ossp-uuid/refs/UUID_1_6_5
The manual is available on-line and at
  https://ra.ws.co.ls/~nabijaczleweli/ossp-uuid/blob/man/ossp-uuid.pdf

This release fixes builds on Darwin
  https://todo.sr.ht/~nabijaczleweli/ossp/221
and includes full (incl. V1/V6 MACs) Win32/MSYS2 support.

--xjln4giaxxhtevar
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmitpbsACgkQvP0LAY0m
WPGslxAAjyVB/GSDccad3d0T4OI7kH3+eBFl+8NBnMSNAvGNaYKpJ/Nw21Rrjg4a
dUW4TOhhdRHf/U3ELey4UViQ+eTpeNFH68ynke9pGNjIWjgTRvkkeeu7pROpkAvq
e1TVPSVojd+P8jWi9yu9Jb/yf1KE90gWxVyknHJbHKcULB4dW8ItkyLEhIuXcZoS
glE/9jGP7g2zKEAh6Zt0Bk34jgygsiGfojGtl5zjkz3gD/IMAHkOQsSgqBngcnsx
bP/JR3mLOG4xTHFLNj/jdQsIalzDsD/Rea/ZaBCxWI1PWrIX5N7GeJxTLInODZIC
oqLnvYvz/Iooci5bswLvh+bb2iUvZ2HNbbRIDNyTGxgmgb97lGmKSds3pv6LdYIP
kVhF1Agor7tWDPXOMprB7wp2PG4oJJdqRM8JcIPu6omn0cG3Tf4jkl7E3s90JzIk
mRWSAtkHU+eYJ/FKF2StqIBOs8zHDavk3XBSru91Cs3B6tLWrKvynDN2qcbEk0+f
IbiHuXC5RVaV4+qN1Aq2Xoum+4HrC2Jg/q2JwfhYWURK4s1fH8RnR1QjrnXJgK9U
8dPXeyyWD/FbNZC/pAWdd0+mT+KPWIi6Vc6hdnbE0uVchffkFJ3gylHsS7NHxrEg
MjYzPgZ6vRjak69Krn/PhRnOQX3Al2uVMpVAu3Sby+ivz38+me8=
=AXH6
-----END PGP SIGNATURE-----

--xjln4giaxxhtevar--

From nabijaczleweli@nabijaczleweli.xyz Mon Dec  8 18:52:44 2025
Date: Mon, 8 Dec 2025 18:52:44 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ossp@lists.sr.ht
Subject: ossp-uuid 1.6.6 released
Message-ID: <xjhpszl24czpunhyntmmfzusm53up2nk5tsgd5umaejzimo6ci@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="opwvurzpeo5of72u"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--opwvurzpeo5of72u
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

The release tarball, detailed changelog, and signature can be obtained from
  https://git.sr.ht/~nabijaczleweli/ossp-uuid/refs/UUID_1_6_6
The manual is available on-line and at
  https://ra.ws.co.ls/~nabijaczleweli/ossp-uuid/blob/man/ossp-uuid.pdf

This release fixes the uuid -v7 generation sample in uuid(1)
and no longer claims to need libtool-bin
(https://bugs.debian.org/1122140).

It also found a sourcehut bug:
  https://lists.sr.ht/~sircmpwn/sr.ht-discuss/%3Cooq3snjpnnrmqg2fy5nyjqfvl7z3b3boqv7zni36u5hn3xknpf@tarta.nabijaczleweli.xyz%3E

--opwvurzpeo5of72u
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmk3EGwACgkQvP0LAY0m
WPGfjg/+NHk0KJsxCvq8xhFyxIz3H+eN3tBhBzVQnVFpW7PhOQuzEkqFvdQBB04e
5VsV6BBwaN1pXTR9mQ102E99RwSYklFrXe11azw6EUv/Th2IzvVAZhotXc7WiUBW
UhvwOrwfCHPW78JJROvkV/4Nl9+bXIaxN+OHvrTIeSDaYEHccb+jywiT73+DfIKJ
E9sdF/6hp/sz/NlNZuQq0+egENfXnsQtAa53CrWwkJeQhlv2oz5RIj/GWFA0ZzEp
0CBXUOjSejKtvFmEmNglhDGFKKVkO4QK7vk5h1wUhaw+3tEX2xGaHVWQO/8hf9Oh
0kTmrLi9ckvTI6ON8QtEE2htVrRUtWm4Fu4AIC/JK0a/UsawhZE/ha0Vz+EDYbxj
0PJrPc4pJfA0HjhfScyFyuzwVrwb8gBnTuSgvyJEze5oleRcJW12p1ZXeL8riqDG
U/pKMXLFaFzgE2d4Ls/MAs6JkcGHUFeD7nn6teSReecl5GCVUEwJZLHBwkt4W3JZ
4zNV2S95VcTIsXvedAPqfQuOyYFog2dGqT7CcMgLsMbY94AOVtAWs3fRkCpVj3P2
Y+0WAdajX31FWJjvMNrdFNK5CTwcID+mrN+rt7mqonGMUt+ufT1S2DYsRmtugW5a
cvr9aCRXgLVEx1ELmHNaNHdlAuX2suHRUanZ3WygiChKmWyVDu4=
=wmr7
-----END PGP SIGNATURE-----

--opwvurzpeo5of72u--

